
#ifndef DFBOUTPUT_H_INCLUDED
#define DFBOUTPUT_H_INCLUDED

int dfb_init( const char *fb_dev_name, int pal_mode );
void dfb_uninit( void );

int dfb_get_width( void );
int dfb_get_height( void );
int dfb_get_pitch( void );

void dfb_waitforsync( void );

void dfb_lockframebuffer( void );
unsigned char *dfb_getframebuffer( void );
int dfb_getcurrentoutputfield( void );
void dfb_unlockframebuffer( void );


int dfb_pollevents( void );

#endif /* DFBOUTPUT_H_INCLUDED */
